Subject: Ticket Assigned - Late collection / 9563391395
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 10 Apr 2022 06:41:26 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late collection / 9563391395 Rhea                    Hello           10:06 AM, 10th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:06 AM, 10th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:06 AM, 10th Apr                     Rhea                    9563391395           10:07 AM, 10th Apr                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            10:08 AM, 10th Apr                   New                   If you have any pictures that you would like to share, please do that.            10:08 AM, 10th Apr                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           10:08 AM, 10th Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            10:13 AM, 10th Apr                   Ahmed                   We apologize and thank you for your patience and understanding. Please a moment  to serve you  the fullest.           10:22 AM, 10th Apr                   Ahmed                   Can you share your active contact number with us please.           10:23 AM, 10th Apr                   Ahmed                   are you still connected ?           10:26 AM, 10th Apr                     Rhea                    Yes           10:28 AM, 10th Apr                     Rhea                    0554601163           10:28 AM, 10th Apr                     Rhea                    I placed a return request a week ago nobody did not come collect the item           10:28 AM, 10th Apr                     Rhea                    I want someone picked up today. I don’t have time to call everyday for the same issue           10:28 AM, 10th Apr                     Rhea                    Treat your customers better           10:29 AM, 10th Apr                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           10:29 AM, 10th Apr                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:29 AM, 10th Apr                     Rhea                    Don’t apologize pick this and give me refund . I want to place order from home Centre who sell quality products           10:30 AM, 10th Apr                   Ahmed                   We will make sure to update the collection team and resolve the issue as soon as possible, please allow us some time to do the needful.           10:32 AM, 10th Apr                     Rhea                    Yes I cannot wait more. Before someone told me pick up with 2 5 business days. It’s more that 10 days           10:33 AM, 10th Apr                     Rhea                    My house is not your warehouse to keep such low grade products           10:33 AM, 10th Apr                   Ahmed                   We will make sure this time to resolve the issue and arrange the collection.           10:36 AM, 10th Apr                     Rhea                    Arrange it today           10:36 AM, 10th Apr                     Rhea                    I cant follow up everyday           10:36 AM, 10th Apr                   Ahmed                   We do our best to make sure of resolving the matter as soon as possible.           10:40 AM, 10th Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4153396